/* 
 * Copyright (c) 2009, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 */
var wizardVersion = "1.0.1";
var DEFAULT_STACKSIZE = '<use codec defaults>';

var INIT_MESSAGE = "Codec Engine GenServer Wizard v" + wizardVersion 
    + "\nTexas Instruments";

var INSTRUCTIONS0 = "You must enter the following information to create the "
    + "files needed for an XDC server package.\n\n"
    + "Platform: Select the platform that you wish to build the server for."
    + "\n\nServer Package Name: Edit this field to specify the server package "
    + "name. An example server package name: ti.sdo.servers.viddec_copy"
    + ".\n\nOutput Server Repository: Browse to the location that the server "
    + "package files should be output to. For example, if the output repository "
    + "is c:/output, with server package name mycompany.mygroup.servers.viddec_"
    + "copy, the files will be output to c:/output/mycompany/mygroup/servers/"
    + "viddec_copy."
    + "\n\nC6000 TI 'cgtools' Dir: The location of C6000 TI CodeGen tools."
    + "\n\nCodec Module Names: These are the names of the codec modules "
    + "you wish to create the server for. The list is initially populated "
    + "by searching for codecs on the XDCPATH. The codec search path can "
    + "be modified by clicking the Set Package Search Path button and specifying "
    + "package repositories to be search in. ";

var INSTRUCTIONS1 = "The default Server.algs array values for a codec can be "
    + "modified by selecting a codec in the tree  on the left and modifying "
    + "fields on the right."
    + "\nTo reset values to the defaults for the currently selected codec, "
    + " check the Use Defaults box. "
    + "\nTo configure values for a group, select the group and enter values in the "
    + "fields on the right."
    + "\nTo change a group item's id, or delete it if it's empty, right-click "
    + "on the group name and select from the menu. "
    + "\nTo change the groupId of a codec, right-click on it and select "
    + "'Move to group...'.  If the groupId selected doesn't exist in the tree, "
    + "it will be created.  A codec can also be dragged and dropped into "
    + "another group. "
    + "\nTo create a new group item, right-click in an empty area of the tree "
    + "and select 'New group...'\n\n"
    + "For more information on Codec Engine GroupIds, see\n"
    + "http://wiki.davincidsp.com/index.php/Codec_Engine_GroupIds\n\n"
    + "For more information on DSKT2, see\n"
    + "http://wiki.davincidsp.com/index.php/Memory_management_in_XDAIS_with_DSKT2";

var INSTRUCTIONS2 = "Server memory can be configured by unchecking"
    + " 'Use Defaults', selecting the order of the memory areas,"
    + " and entering a base address and size for"
    + " each section. All values must be entered in hexidecimal."
    + " The 'RESET_VECTOR' memory area section needs to"
    + " start at an even 1Mb, and is fixed at size 0x80."
    + "\nTo have all sections aligned automatically as values are"
    + " entered, select the 'From top' or 'From bottom' radio button."
    + " When 'From top' is selected, only the starting base address"
    + " and length fields can be modified. When'From bottom' is selected,"
    + " only the last address and length fields can be modified."
    + "\nTo restore all values to the defaults initially displayed, check"
    + " 'Use Defaults'.";

   
var SAVE_OPEN_INSTRUCTIONS = "To save the information into into the GUI, use "
    + "File->Save. Specify the output location and file name. You may then "
    + "re-use this file in the GUI via File->Open or on the command line with "
    + "the -f=/yourfilename option (see xs ti.sdo.ce.wizards.genserver --help "
    + "for more information on command line usage.)";

var ABOUT_MESSAGE = INIT_MESSAGE;

/* abridged instructions to show at the top of each panel */
var BANNER0 = 
    "Check the codecs that you want to use from the list. If the list"
    + " is empty or you would like to use other codecs, set the Package"
    + " Search Path and click the 'Search for Codecs' button. Hold the"
    + " mouse pointer over a codec to view the fully qualified name."
    + " See Help for detailed information about field input. ";

var BANNER1 = 
    "To set Server.algs array values for a codec, select the codec."
    + " To configure group values, select the group. "
    + " Hold the mouse pointer"
    + " over a codec to view the fully qualified name."
    + " A codec can be dragged and dropped into another group. Right-click"
    + " in the tree pane or on a tree item for options."
    + " See Help for detailed information about field input.";


var BANNER2 = 
    "To configure memory, uncheck 'Use Defaults', select the"
    + " order of the memory areas, and enter a base address and size for each"
    + " section. To have all sections aligned automatically as values are"
    + " entered, select the 'From top' or 'From bottom' radio button."
    + " To restore all values to the defaults initially displayed, check"
    + " 'Use Defaults'. Please note that the 'RESET_VECTOR'"
    + " memory area section needs to start at an even 1Mb, and is of "
    + " fixed size 0x80.";

var VIDEO_GROUPID = 0;
var AUDIO_GROUPID = 1;

var ENTER_CGTOOLS = '<C6000 TI codegen tools directory>';
var ENTER_OUTREPO = '<Server package destination repository>';
/*
 *  @(#) ti.sdo.ce.wizards.genserver; 1, 0, 0,40; 11-18-2009 14:14:16; /db/atree/library/trees/ce/ce-o05x/src/
 */

